Name:		mcrypt
Version:	2.6.7
Release:	2
License:	GPLv3+
Group:		Applications/System
Summary:	Replacement for crypt()
URL:		http://mcrypt.sourceforge.net/
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-rfc2440-bugfixes.patch
Patch1:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	libmcrypt-devel, mhash-devel, gettext, zlib-devel
BuildRequires:	patch
Requires:	libmcrypt, mhash, zlib
Requires:	gettext

%description
MCrypt is a replacement for the old crypt() package and crypt(1) command, 
with extensions. It allows developers to use a wide range of encryption 
functions, without making drastic changes to their code. It allows users 
to encrypt files or data streams without having to be cryptographers. 


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0 -p1
%patch1


%build
export CC=xlc
export LDFLAGS="-Wl,-brtl"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Mon Jul 05 2010 Michael Perzl <michael@perzl.org> - 2.6.7-2
- removed dependency on gettext >= 0.17

* Thu Aug 14 2008 Michael Perzl <michael@perzl.org> - 2.6.7-1
- first version for AIX V5.1 and higher
